Before upgrading, I do check to see if all my critical plugins have been certified as compatible on the WordPress site, or just visit each of the critical plugins’ websites to see if anyone else is having any problems. Notice I said CRITICAL plugins. If it’s just a “nice to have” plugin then I’ll upgrade and just see if it still works.